from wagtail.contrib.modeladmin.options import (
            ModelAdmin, ModelAdminGroup, modeladmin_register)
from wss import taxonomy


class RubriqueModelAdmin(ModelAdmin):
    model = taxonomy.Rubrique
    menu_label = "Rubriques"
    menu_icon = 'form'


class TerritoireModelAdmin(ModelAdmin):
    model = taxonomy.Territoire
    menu_label = "Territoires"
    menu_icon = 'site'


class MotCleModelAdmin(ModelAdmin):
    model = taxonomy.MotCle
    menu_label = "Mots Clés"
    menu_icon = 'tag'


class ProductionModelAdmin(ModelAdmin):
    model = taxonomy.Production
    menu_label = "Productions"
    menu_icon = 'snippet'


class TaxonomyModelAdminGroup(ModelAdminGroup):
    menu_label = 'Taxonomie'
    menu_icon = 'tag'
    items = (
            MotCleModelAdmin,
            RubriqueModelAdmin,
            TerritoireModelAdmin,
            ProductionModelAdmin
    )


modeladmin_register(TaxonomyModelAdminGroup)
